@charset "UTF-8";

:root {
	--popup-concept-color: #8c1a1a;
	--popup-text-color: #ffffff;
}

/*	scrollbar Styling */
.popup-open .popupWrap::-webkit-scrollbar,
.popup-open .popup_box .popup_content::-webkit-scrollbar {
	-webkit-overflow-scrolling: touch;
	scrollbar-width: thin;
	scrollbar-color: var(--popup-concept-color) rgba(0, 0, 0, 0.3);
	width: 10px;
	background: rgba(0, 0, 0, 0.3);
	border-left: solid 1px rgba(255, 255, 255, 0.1);
}

.popup-open .popupWrap::-webkit-scrollbar-thumb,
.popup-open .popup_box .popup_content::-webkit-scrollbar-thumb {
	background: linear-gradient(var(--popup-concept-color), var(--popup-text-color));
	border: solid 2px rgba(255, 255, 255, 0.1);
	border-radius: 8px;
	background-clip: padding-box;
	transition: background 0.3s ease-in-out, border 0.3s ease-in-out;
}

.popup-open .popupWrap::-webkit-scrollbar-thumb:hover,
.popup-open .popup_box .popup_content::-webkit-scrollbar-thumb:hover {
	background: linear-gradient(var(--popup-text-color), var(--popup-concept-color));
	border-color: rgba(255, 255, 255, 0.25);
	border-top: none;
}

/* END : scrollbar Styling */

body.popup-open {
	overflow: hidden;
}

.popupWrap {
	display: none;
	z-index: -10;
}

.popup-open .popupWrap {
	overflow: auto;
	position: fixed;
	z-index: 100000;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-content: flex-start;
	align-items: stretch;
	row-gap: 2rem;
	column-gap: 1rem;
	width: 100%;
	height: 100vh;
	height: 100dvh;
	min-width: fit-content;
	top: 0;
	left: 50%;
	transform: translate(-50%, 0);
	padding: 10vh 0;
	padding: 10dvh 0;
}

.noticeNewPop {
	position: relative;
	width: fit-content;
}

.noticeNewPop > * {
	height: 100%;
}

.noticeNewPop .popup_wrap {
	position: relative;
	width: 100%;
	min-width: 280px;
	max-width: 480px;
	width: clamp(380px, 20vw, 480px);
	border: 4px solid var(--popup-concept-color);
	box-sizing: border-box;
	box-shadow: 4px 4px 20px -8px var(--popup-concept-color);
}

.noticeNewPop .popup_wrap .popup_box {
	display: block;
	overflow: hidden;
	position: initial;
	width: 100%;
	height: 100%;
	min-width: initial;
	max-width: initial;
	background: rgba(0, 0, 0, 0.85);
	border: initial;
	border-radius: unset;
	box-shadow: unset;
}

.noticeNewPop .popup_wrap .popup_box .popup_content {
	display: block;
	color: #E9E9E9;
	box-sizing: border-box;
	padding: 20px;
	line-height: 175%;
	font-size: initial;
	word-break: keep-all;
}

.noticeNewPop .popup_wrap.onlyimg {
	max-width: fit-content;
}

.noticeNewPop .popup_wrap.onlyimg .popup_box .popup_content {
	padding: 0;
	line-height: 1;
}

.noticeNewPop .popup_wrap .popup_box .popup_content img,
.noticeNewPop .popup_wrap.onlyimg .popup_box .popup_content img {
	width: fit-content;
	max-width: 100%;
	height: auto;
}

.noticeNewPop .popup_wrap.onlyimg .popup_box .popup_content p {
	all: unset;
}

.popup_wrap .btnPopClose {
	position: absolute;
	right: -4px;
	top: -28px;
}

.popup_wrap .btnPopClose a {
	overflow: hidden;
	display: block;
	background-color: var(--popup-concept-color);
	width: 28px;
	height: 28px;
	text-align: center;
	cursor: pointer;
	opacity: 1;
	transition: all 0.3s ease-in-out;
}

.popup_wrap .btnPopClose a:hover {
	opacity: 0.9;
	width: 72px;
}

.popup_wrap .btnPopClose a strong {
	font-weight: 400;
	font-size: 12px;
	word-break: keep-all;
	text-indent: -100px;
	margin-right: 0;
	transition: color 0.3s ease-in-out;
}

.popup_wrap .btnPopClose a:hover strong {
	color: var(--popup-text-color);
	text-indent: 0;
	margin-right: 7px;
}

.popup_wrap .btnPopToday {
	position: absolute;
	margin: 0 auto;
	width: auto;
	top: -28px;
	left: -4px;
}

.popup_wrap .btnPopClose a span {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
	width: 100%;
}

.popup_wrap .btnPopClose a svg {
	fill: var(--popup-text-color);
	width: 14px;
	height: auto;
	display: block;
}

.popup_wrap .btnPopToday a {
	display: block;
	cursor: pointer;
	background-color: var(--popup-concept-color);
	padding: 0 8px;
	box-sizing: border-box;
	opacity: 1;
	height: 28px;
	width: 100%;
	transform: scale(1);
	transition: all 0.3s ease-in-out;
}

.popup_wrap .btnPopToday a:hover {
	opacity: 0.9;
	width: 125%;
	transition: all 0.3s ease-in-out;
}

.popup_wrap .btnPopToday a span {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 5px;
	height: 100%;
	width: 100%;
	font-size: 12px;
	letter-spacing: -0.015rem;
	font-weight: 400;
	color: var(--popup-text-color);
}

.popup_wrap .btnPopToday a span svg {
	fill: var(--popup-text-color);
	opacity: 0.9;
}

.modal-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
	z-index: 9998;
	display: none;
	justify-content: center;
	align-items: center;
}

body.popup-open .modal-overlay {
	display: flex;
}

.btnCloseAllPopups {
	display: none;
	position: fixed;
	top: 1rem;
	left: 1rem;
	background-color: var(--popup-concept-color);
	color: var(--popup-text-color);
	border: none;
	padding: 12px 16px;
	font-size: 14px;
	font-weight: 500;
	border-radius: 4px;
	z-index: 100001;
	transition: all 0.3s;
}

.btnCloseAllPopups:hover {
	filter: brightness(1.25);
	border-radius: 16px;
}

body.popup-open .btnCloseAllPopups {
	display: block;
}

@media (max-width:768px) {
	.popup-open .popupWrap {
		display: flex;
		align-items: center;
		align-content: center;
		flex-direction: column;
		justify-content: flex-start;
		width: fit-content;
		min-width: 100%;
		margin: 0 auto;
		padding: 7vh 0;
		padding: 7dvh 0;
	}

	.noticeNewPop {
		position: absolute;
		margin: 0 auto;
		width: inherit;
	}

	.noticeNewPop .popup_wrap.onlyimg .popup_box,
	.noticeNewPop .popup_wrap .popup_box {
		overflow: auto;
		max-height: 82vh;
		max-height: 82dvh;
	}

	.btnCloseAllPopups {
		top: unset;
		bottom: 8px;
		right: 8px;
		left: 8px;
		width: 100%;
		width: calc(100% - 16px);
		font-size: 13px;
		padding: 8px 0;
	}
}

@media (max-width:425px) {
	.noticeNewPop .popup_wrap {
		max-width: 100%;
		min-width: initial;
		width: 90vw;
		width: 90dvw;
	}
}